[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.IsVertical

Indicates if the tool bar is oriented to display buttons and controls vertically.

## Declaration

Source position: comctrls.pp line 2330

`protected function TToolBar.IsVertical: Boolean; virtual;`

## Function result

True when the buttons on the control are displayed vertically.

## Description

IsVertical is a Boolean function in TToolBar used to determine if the tool bar displays its buttons or controls using a vertical orientation. The return value is determined by the value in the Align property, as follows:

alLeft, alRight
  The return value is True.
alNone, alClient, alCustom
  The return value is True when Height is larger than Width.

If the tool bar is parented by a TCoolBar control, the value in its Vertical property is used as the return value.